@charset "utf-8";
/* Global Styles */
details, details[open], details[open]:hover {
	padding:1%;
	padding-bottom: 2%;
	margin:1px;
	margin-bottom:10px;
	border-radius: 4px;
}
details summary {
	border-radius: 4px;
	cursor: pointer;
}
details[open] summary {
	margin-bottom:15px;
}
fieldset {
	padding:1%;
	text-align:left;
	border-radius: 8px;
	margin:5px 0px;
}
input, textarea,  select {
	display: block;
	border-radius:8px;
	padding:1%;
	margin:1% 0% 0% 1%;
	text-align:left;
	width: 90%;
	border:1px solid rgba(0,0,0,0.3);
	background-color:rgba(0,0,0,0.1);
}
input:focus, textarea:focus, select:focus {
	background-color:rgba(255,255,255,1);
	border:1px solid rgba(0,0,0,0.3);
	color:rgba(0,0,0,1);
}
button[disabled] {
	background-color:rgba(0,0,0,0.2);
}
#actionmenu { /*  menu permettant de modifier les contenus */
    text-align:right;
    width:auto;
    padding:auto;
}
#actionmenu span { /* les petits logos dans le menu permettant de modifier les contenus */
    background-color:#FFF;
    padding:8px;
    text-align:center;
    border-radius:50%;
    margin:0 10px;
    cursor:pointer;
}
#actionmenu span:hover {
    background-color:var(--primary);
    color:var(--text-light);
}
.optioncontainer {
	width:60px;
	height:30px;
	border-radius: 8px;
	border:1px solid rgba(0,0,0,0.3);
	text-align: center;
	vertical-align: middle;
	/* margin:calc(1% + 5px); */
	margin:1% 0% 0% 1%;
	cursor: pointer;
}
.checked {
	background-color:rgba(0,255,0,0.1);
}
.unchecked {
	background-color:rgba(255,0,0,0.1);
}
.optioncontainer:focus, .optioncontainer:hover {
	background-color:rgba(255,255,255,1);
	border:1px solid rgba(0,0,0,0.3);
}
input[type='checkbox'].notvisible {
	display:none;
	width:1px;
	height:1px;
	text-align: center;
	border:none;
	margin:auto;
}
fieldset input[type='color'], .colorsample {
	width:30px;
	height:30px;
	padding:0;
}
.canedit {
	/*
	background-color:rgba(230,182,14,0.25);
	border:1px solid rgba(230,182,14,1);
	*/
	padding:1%;
	width: auto;
	border-radius: 2px;
}
.canedit:hover, .canedit:active, .canedit:focus {
	background-color:rgba(230,182,14,0.1);
	cursor:alias;
}
.simpleform {
    width:80%;
    padding:2%;
    margin:auto;
    border:1px solid rgba(0,0,0,0.1);
    border-radius: 2px;
    text-align: center;
}
.simpleform input {
    padding:2%;
    text-align: center;
}
.cancreate {
    cursor: pointer;
    background-color:rgba(230,182,14,1);
	border:1px solid rgba(255,255,255,1);
	padding:1%;
	width: auto;
    border-radius: 8px;
}
.cancreate:hover, .cancreate:active, .cancreate:focus {
    background-color:rgba(230,182,14,0.25);
	border:1px solid rgba(230,182,14,1);
	cursor:pointer;
}
form fieldset legend {
	min-width:50%;
	padding:1%;
	margin:-5px;
	background-color: rgba(230,182,14,0.25);
	border:1px solid rgba(230,182,14,1);
	border-radius: 4px;
	margin-top:5px;
}
/* div for Links in header */
#headerLinks {
	float: left;
	width: calc( 100% - 139px );
	text-align: right;
	padding-top: 10px;
	padding-bottom: 10px;
}
/* Links in header */
#headerLinks a {
	text-decoration: none;
	color: rgba(146,146,146,1.00);
	padding-left: 66px;
	font-size: 14px;
}
/* Main content of the site */
#content {
	clear: both;
	overflow: auto;
	padding-top: 1%;
}
/* Sidebar */
#content .sidebar {
	font-family: 'Montserrat', sans-serif;
	color: rgba(146,146,146,1.00);
	float: left;
	width: 15%;
	padding:1%;
	text-align: center;
	background-color: rgba(246,246,246,1.00);
}
/* main content of the site */
#content .mainContent {
	float:left;
	width: 75%;
	text-align: center;
	padding-left: 4%;
}
/*menubar's properties for menus in sidebar */
#content .sidebar #menubar {
	text-align: left;
	color: rgba(146,146,146,1.00);
	position: relative;
	left: 0%;
}
/* Whole page content */
#mainWrapper {
	padding-left: 5%;
	padding-right: 5%;
}
/*menu elements */
.menu ul li {
	list-style-type: none;
	font-size: 115%;
	position: relative;
	left: -35px;
	padding: 7px 7px;
    border-bottom:1px solid #000;
    cursor:pointer;
}
#menubar .menu ul li:hover {
    background-color:var(--primary);
    color:var(--text_light);
}
/* footer */
#mainWrapper footer.main {
	clear: both;
	overflow: auto;
	background-color: rgba(208,207,207,1.00);
	font-family: source-sans-pro, sans-serif;
	font-style: normal;
	font-weight: 200;
	line-height: 1.8;
	padding-top: 22px;
	padding-left: 22px;
	text-align: center;
	padding-bottom: 22px;
	padding-right: 22px;
}
/*Each footer content */
#mainWrapper footer.main div {
	width: 27%;
	float: left;
	padding-left: 4%;
	padding-right: 2%;
	color: rgba(255,255,255,1.00);
	text-align: justify;
}
/* Links in footer */
footer.main div a {
	color: rgba(146,146,146,1.00);
	display: block;
	text-decoration: none;
	text-align: center;
}

/* Menus in sidebar */
.sidebar #menubar .menu {
	margin-bottom: 29px;
}
/* Container for links in footer */
footer.main .footerlinks {
	margin-top: -15px;
}

/* Media query for tablets */
@media screen and (max-width:700px) {
/* sidebar */
#content .sidebar {
	float: none;
	width: 100%;
	height: auto;
	overflow: auto;
	padding-left: 12%;
	padding-top: 0px;
}
/* horizontal separators in sidebar */
#content .sidebar hr {
	display: none;
}
/*The sidebar and maincontent of page */
#content {
	position: relative;
	top: -22px;
	width: 100%;
	overflow: hidden;
}
/* Unordered List of links */
#menubar .menu ul {
	display: inline;
}
/*list elements */
#menubar .menu ul li {
	display: inline;
	font-size: medium;
	padding-left: 0%;
	padding-right: 3%;
}
/* menus in sidebar */
.sidebar #menubar .menu {
	width: 100%;
	text-align: center;
	position: relative;
	top: 16px;
}
/*menubar in sidebar */
#content .sidebar #menubar {
	position: relative;
	left: -7%;
	overflow: hidden;
	width: 95%;
	padding-top: 0px;
}
/* main content region of page */
#mainWrapper #content .mainContent {
	overflow: hidden;
	width: 95%;
	margin-top: 40px;
}
/* Container for links in footer */
#mainWrapper footer.main .footerlinks {
	float: none;
	width: 100%;
	position: relative;
	top: 17px;
	clear: both;
	text-align: center;
	left: 0%;
	padding-bottom: 19px;
}
/* Container for each footer divisions */
#mainWrapper footer.main div {
	width: 44%;
	text-align: justify;
	font-size: 15px;
}
/* Links in footer */
.footerlinks p a {
	padding-top: 0px;
	padding-bottom: 0px;
	display: inline;
	padding-right: 35px;
}
/* Footer region */
#mainWrapper footer.main {
	padding-left: 16px;
	overflow: hidden;
}
/* Links in header */
header #headerLinks a {
	padding-left: 0px;
	padding-right: 30px;
}
/* Paragraphs in footer */
footer.main .footerlinks p {
	display: inline;
}
}

/*media query for small screen devices */
@media screen and (max-width:480px) {
/*Container for links in header */
#mainWrapper header #headerLinks {
	width: 100%;
	text-align: center;
	background-color: rgba(190,190,190,1.00);
	padding-bottom: 21px;
}
/* Logo placeholder*/
#mainWrapper header #logo {
	width: 100%;
	text-align: center;
}
/* Links in header */
header #headerLinks a {
	text-align: center;
	padding-right: 15px;
	padding-left: 0px;
}
/* Menubar in sidebar */
#content .sidebar #menubar {
	position: relative;
	left: -8%;
	text-align: center;
}
#mainWrapper footer.main div {
	width: 100%;
	margin-left: -16px;
	text-align: justify;
	padding-bottom: 16px;
	overflow: auto;
}
/* Unordered list for menu elements */
.menu ul {
	position: relative;
	padding-left: 24%;
}
/* Container for links in footer */
#mainWrapper footer.main .footerlinks {
	padding-left: 8%;
}
/* Main content which excludes the sidebar */
#mainwrapper #content .mainContent {
	margin-top: -81px;
	text-align: center;
	width: 100%;
	padding-left: 0px;
}
}
